Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.user
Class GroupInformationInserter

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.user.GroupInformationInserter

All Implemented Interfaces:
  Transformation, Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class GroupInformationInserter

extends AbstractTransformation

Allows the insertion of Group information within Identity documents.

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`_resolver, PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`GroupInformationInserter(java.util.Hashtable groups, org.xml.sax.ContentHandler handler)` Creates an inserter for a list of groups.

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` This object can be configured if necessary.
`void` | `endDocument()` Inserts group elements at the end of the document.
`protected boolean` | `initToSax()` Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initVolatileObjectsToSax, isStepEnabled, recycle, service, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Constructor Detail

### GroupInformationInserter

    public GroupInformationInserter(java.util.Hashtable groups,
                                    org.xml.sax.ContentHandler handler)

  Creates an inserter for a list of groups.

  Parameters:
    `groups` - A hashtable of group names.
    `handler` - The handler where insert process will take place.

Method Detail

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Inserts group elements at the end of the document.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  This object can be configured if necessary. Currently has no function.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `AbstractTransformation`
  Parameters:
    `configuration` -
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxXMLPipe`
  Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML

  Overrides:
    `initToSax` in class `AbstractTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.